#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_ActivityKillCrabLifeValueCFGData
{
	//ID,1作为第一个生命值
	int mID;
	//生命值
	int mLifeValue;
	//奖励道具(对应M_itemcfg中的道具ID)
	std::vector<int> mRewardItem;
	//奖励道具数量
	std::vector<int> mRewardCount;
	//下个生命值ID
	int mNextLife;
};

class Fish_ActivityKillCrabLifeValueCFG
{
public:
private:
	static std::auto_ptr<Fish_ActivityKillCrabLifeValueCFG> msSingleton;
public:
	int GetCount();
	const Fish_ActivityKillCrabLifeValueCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_ActivityKillCrabLifeValueCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_ActivityKillCrabLifeValueCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_ActivityKillCrabLifeValueCFGData> mMapData;
};
